.TH rcS 5 "21 May 2012" "" "Debian Administrator's Manual"
.SH NAME
rcS \- variables that affect the behavior of boot scripts
.SH DESCRIPTION
The
.I /etc/default/rcS
file contains variable settings in POSIX format:
.IP "" .5i
VAR=VAL
.PP
Only one assignment is allowed per line.
Comments (starting with '#') are also allowed.

.SH OPTIONS
The following variables can be set.

.IP \fBTMPTIME\fP
On boot the files in /tmp will be deleted if their modification time,
file status time and access time are all at least TMPTIME days ago.
A value of 0 means that files are removed regardless of age.
If you don't want the system to clean /tmp
then set TMPTIME to a negative value (e.g., \-1)
or to the word \fIinfinite\fP.

.IP \fBSULOGIN\fB
Setting this to
.B yes
causes init to spawn a
.B sulogin
on the console early in the boot process.
If the administrator does not login
then the sulogin session will time out
after 30 seconds and the boot process will continue.

.IP \fBDELAYLOGIN\fB
Normally the system will not let non-root users log in
until the boot process is complete
and the system has finished switching
to the default runlevel (usually level 2).
However, in theory it is safe to log in a bit earlier,
namely, as soon as \fBinetd\fP has started.
Setting the variable to \fBno\fP allows earlier login;
setting the variable to \fByes\fP prevents it.

Some details:
The \fBDELAYLOGIN\fP variable controls whether or not the
file \fI/run/nologin\fP is created during
the boot process and deleted at the end of it.
The \fBlogin\fP(1) program refuses to allow non-root logins so long
as \fI/run/nologin\fP exists.
If you set the variable to \fBno\fP then it is advisable to ensure
that \fI/run/nologin\fP does not exist.

.IP \fBVERBOSE\fP
Setting this option to \fBno\fP (in lower case) will make the boot process
a bit less verbose.
Setting this option to \fByes\fP will make the boot process
a bit more verbose.

.IP \fBFSCKFIX\fP
When the root and all other file systems are checked,
.B fsck
is invoked with the \fB\-a\fP option
which means "autorepair".
If there are major inconsistencies
then the fsck process will bail out.
The system will print a message
asking the administrator to repair the file system manually
and will present a root shell prompt
(actually a \fIsulogin\fP prompt)
on the console.
Setting this option to \fByes\fP causes the fsck commands
to be run with the \fB\-y\fP option instead of the \fB\-a\fP option.
This will tell fsck always to repair the file systems
without asking for permission.

.IP \fBASYNCMOUNTNFS\fP
Set this to 'no' to disable asynchronous mounting of network drives
when the network interfaces are mounted, and instead do it only once
when the machine boots.  The default is 'yes'.  It is useful to
disable this on machines where the root file system is NFS, until ifup
from ifupdown works properly in such setup.

.SH NOTE
The \fBEDITMOTD\fP, \fBRAMRUN\fP and \fBUTC\fP variables are no longer
used.  The \fBRAMLOCK\fP, \fBRAMSHM\fP and \fBRAMTMP\fP variables have
been moved to /etc/default/tmpfs; RAMSHM and RAMTMP settings in rcS
are used (if set) for backward compatibility, but will be overridden
by settings enabled in /etc/default/tmpfs.  See
.BR tmpfs (5)
for further details.  The settings are not automatically migrated to
/etc/default/tmpfs.  Please update /etc/default/tmpfs appropriately.
The UTC setting is replaced by the UTC or LOCAL setting in
/etc/adjtime, and should have been migrated automatically.  See
.BR hwclock (5)
and
.BR hwclock (8)
for further details on configuring the system clock.

.SH AUTHOR
Miquel van Smoorenburg <miquels@cistron.nl>
Roger Leigh <rleigh@debian.org>

.SH SEE ALSO
.BR fsck (8),
.BR hwclock (5),
.BR hwclock (8),
.BR inetd (8),
.BR init (8),
.BR inittab (5),
.BR login (1),
.BR tmpfs (5).
